summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorLibravatar Ævar Arnfjörð Bjarmason <avarab@gmail.com>2021-01-23 14:00:38 +0100
committerLibravatar Junio C Hamano <gitster@pobox.com>2021-01-23 13:25:12 -0800
commit32267255070604efe0672793a1bbb797558765bc (patch)
treee468e685ebecb6acb750d37ce4f1cc1baf9cb47b /t
parentcache-tree tests: refactor for modern test style (diff)
downloadtgif-32267255070604efe0672793a1bbb797558765bc.tar.xz
cache-tree tests: remove unused $2 parameter
Remove the $2 paramater. This appears to have been some work-in-progress code from an earlier version of 9c4d6c0297 (cache-tree: Write updated cache-tree after commit, 2014-07-13) which was left in the final version. Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't')
-rwxr-xr-xt/t0090-cache-tree.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/t/t0090-cache-tree.sh b/t/t0090-cache-tree.sh
index 45e1cc82ed..7ff7f04719 100755
--- a/t/t0090-cache-tree.sh
+++ b/t/t0090-cache-tree.sh
@@ -19,7 +19,6 @@ cmp_cache_tree () {
# correct.
generate_expected_cache_tree_rec () {
dir="$1${1:+/}" &&
- parent="$2" &&
# ls-files might have foo/bar, foo/bar/baz, and foo/bar/quux
# We want to count only foo because it's the only direct child
git ls-files >files &&
@@ -30,10 +29,9 @@ generate_expected_cache_tree_rec () {
for subtree in $subtrees
do
cd "$subtree"
- generate_expected_cache_tree_rec "$dir$subtree" "$dir" || return 1
+ generate_expected_cache_tree_rec "$dir$subtree" || return 1
cd ..
- done &&
- dir=$parent
+ done
}
generate_expected_cache_tree () {